Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged

From: Po Lu <[email-masked]>
Date: Sun, 24 Oct 2021 17:47:39 +0800

Eli Zaretskii <[email-masked]> writes:

> Thanks, I guess this means you have to step with a debugger into
> x_set_toolkit_scroll_bar_thumb and see when it is called and what
> values it produces, and perhaps compare between 23.4 and the current
> code base.

The Athena code in x_set_toolkit_scroll_bar_thumb has stayed the same
over those releases, and they are called under almost the same
circumstances in both releases.  IOW, XawScrollbarSetThumb is called
with the appropriate value in both releases, so that's not the problem
here.

I'm at a loss, and I don't know what else could possibly be affecting
this.  Perhaps someone else knows what the problem might be?

Thanks.